About packages : question from a beginner

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

About packages : question from a beginner

Aeren
Hello everyone.

I've just started with smalltalk and i'm using the book "Pharo By Example" to start off (the latest version from 2009-10-28). However, it seems that many things have changed since then, and the latest and probably most destabilizing one concerns packages.

In chapter 2, the book says to create a package through the browser. However, no matter  how much I look and search (both on Pharo and internet), I can't seem to find the place to do it. I can add a category, browse a package, but not create a package.

I use the image downloaded from the Pharo-Project website, so I guess it's a good one. Can anyone explain to me which part of information I have missed?
Reply | Threaded
Open this post in threaded view
|

Re: About packages : question from a beginner

N. Bouraqadi
Hi,

You should use the image used to build the book examples
https://gforge.inria.fr/frs/download.php/27023/PBE-1.0.zip

As you noted, it's an old one. A lot of thing changed. Fortunately, the system is improving.

Have fin,
Noury
--
http://twitter.com/#!/NouryBouraqadi

On 7 oct. 2011, at 02:14, Aeren wrote:

> Hello everyone.
>
> I've just started with smalltalk and i'm using the book "Pharo By Example"
> to start off (the latest version from 2009-10-28). However, it seems that
> many things have changed since then, and the latest and probably most
> destabilizing one concerns packages.
>
> In chapter 2, the book says to create a package through the browser.
> However, no matter  how much I look and search (both on Pharo and internet),
> I can't seem to find the place to do it. I can add a category, browse a
> package, but not create a package.
>
> I use the image downloaded from the Pharo-Project website, so I guess it's a
> good one. Can anyone explain to me which part of information I have missed?
>
> --
> View this message in context: http://forum.world.st/About-packages-question-from-a-beginner-tp3880345p3880345.html
> Sent from the Pharo By Example mailing list archive at Nabble.com.
> _______________________________________________
> Sbe-discussion mailing list
> [hidden email]
> https://www.iam.unibe.ch/mailman/listinfo/sbe-discussion





_______________________________________________
Sbe-discussion mailing list
[hidden email]
https://www.iam.unibe.ch/mailman/listinfo/sbe-discussion
Reply | Threaded
Open this post in threaded view
|

Re: About packages : question from a beginner

Aeren
This post was updated on .
I already tried with this image, but it immediately crashes with a segmentation fault. And I also tried downloading the OmniBrowserO2 through Pharo which seems to be the second solution, but the download systematically fails after a few files... :S

In the meanwhile i'm using regular categories, but i'd still like to sort out the package issue since from what I understood it is compulsory in order to use Metacello and Monticello which I will need to use.
Reply | Threaded
Open this post in threaded view
|

Re: About packages : question from a beginner

Marcus Denker-4
In reply to this post by N. Bouraqadi

On Oct 7, 2011, at 8:19 AM, Aeren wrote:

> I already tried with this image, but it immediately crashes with a
> segmentation fault.

Yes, it is not compatible to the newer VMs.

> And I also tried downloading the OmniBrowserO2 through
> Pharo which seems to be the second solution, but the download systematically
> fails after a few files... :S

O2 is not been developped anymore and therefore does not work in newer versions
of Pharo.

Yes, all this is unfortunate but sadly the day has only 24hours and we do the best we can.

The best solution actually would be to update the book, but nobody has time to do it.

        Marcus


--
Marcus Denker -- http://marcusdenker.de


_______________________________________________
Sbe-discussion mailing list
[hidden email]
https://www.iam.unibe.ch/mailman/listinfo/sbe-discussion
Reply | Threaded
Open this post in threaded view
|

Re: About packages : question from a beginner

N. Bouraqadi

On 7 oct. 2011, at 08:24, Marcus Denker wrote:

>
> On Oct 7, 2011, at 8:19 AM, Aeren wrote:
>
>> I already tried with this image, but it immediately crashes with a
>> segmentation fault.
>
> Yes, it is not compatible to the newer VMs.
>
>> And I also tried downloading the OmniBrowserO2 through
>> Pharo which seems to be the second solution, but the download systematically
>> fails after a few files... :S
>
> O2 is not been developped anymore and therefore does not work in newer versions
> of Pharo.
>
> Yes, all this is unfortunate but sadly the day has only 24hours and we do the best we can.
>
> The best solution actually would be to update the book, but nobody has time to do it.
>
Yes.
Still a beginner might find useful materials.

I suggest to try with an older VM (4.X).
For windows its on GForge
https://gforge.inria.fr/frs/download.php/28468/PharoVM-Win32-4.1.1-bin.zip

Noury

> Marcus
>
>
> --
> Marcus Denker -- http://marcusdenker.de
>
>
> _______________________________________________
> Sbe-discussion mailing list
> [hidden email]
> https://www.iam.unibe.ch/mailman/listinfo/sbe-discussion

Noury Bouraqadi
Ecole des Mines de Douai
http://car.mines-douai.fr/noury
http://twitter.com/#!/NouryBouraqadi
--
-19èmes Journées Francophones sur les Systèmes Multi-Agents (JFSMA’11)
http://www.univ-valenciennes.fr/congres/jfsma2011/
17-19 Octobre 2011, Valenciennes, France

-5th International Conference on Smalltalk Technologies
http://www.fast.org.ar
November 3th - 5th, 2011 Universidad Nacional de Quilmes (Argentina)








_______________________________________________
Sbe-discussion mailing list
[hidden email]
https://www.iam.unibe.ch/mailman/listinfo/sbe-discussion